:root {
    --main-color: #fdc836;
    --main-color-hover: #ffffff;
    --secondary-color: #951916;
    --default-color-text: #ffffff;
    --default-color-hover-text: #fdc836;
    --main-color-text: #fdc836;
    --header-nav-item-bg-color: #000000;
    --header-nav-item-bg-color-hover: #fdc836;
    --header-nav-item-text-color: #ffffff;
    --header-nav-item-text-color-hover: #fdc836;
    --bg-color: #fdc836;
    --form-text-color: #000000;
    --footer-text-color: #00000;
    --footer-text-hover: #fdc836;
}
* {
    font-family: Roboto, sans-serif;
}
html, body {
    width: 100vw !important;
    max-width: 100vw !important;
    height: 100%;
    font-size: 16px;
    line-height: 22px;
}
body {
    overflow-x: hidden;
    background: #060c12 url('/themes/snackin_stars/img/main-background.jpg') no-repeat center center fixed;
    background-size: cover;
}
body.fancybox-active {
    height: 100%;
}
@font-face {
    font-family: BalginBold;
    src: url('/static/font/Balgin/ttf/bold.ttf');
}
@font-face {
    font-family: BalginBalginBold;
    src: url('/static/font/Balgin/ttf/bold.ttf');
}
pre {
    text-align: left !important;
    font-size: .7rem;
}
.bg-color-dark-grey {
    background-color: #D9D9D9;
}
.bg-color-darker-grey {
    background-color: #BEBEBE;
}
.text-color-darker-grey {
    color: #BEBEBE !important;
}
.bg-color-orange {
    background-color: var(--main-color);
}
.font-balgin {
    font-family: BalginBold, sans-serif;
}
.font-balgin-balgin {
    font-family: BalginBalginBold, sans-serif;
}
.text-balance {
    text-wrap: balance;
}
.invalid-user-message {
    color: #d22303;
    font-size: 1.1rem;
    line-height: 1.3rem;
}
h1.font-balgin,
h2.font-balgin,
h3.font-balgin,
h4.font-balgin,
h5.font-balgin,
h6.font-balgin,
h1.font-balgin-balgin,
h2.font-balgin-balgin,
h3.font-balgin-balgin,
h4.font-balgin-balgin,
h5.font-balgin-balgin,
h6.font-balgin-balgin {
    margin-bottom: 2rem;
}
.text-color-main {
    color: var(--main-color-text);
}
.text-color-secondary {
    color: var(--secondary-color);
}
.flex-1-1-0 {
    flex: 1 1 0;
}
.gap-100 {
    gap: 100px;
}
.gap-10 {
    gap: 10px;
}
.gap-15 {
    gap: 15px;
}
.w-85 {
    width: 85% !important;
}
.w-70 {
    width: 70% !important;
}
.w-51 {
    width: 51% !important;
}
.w-40 {
    width: 40% !important;
}
.max-w-800-px {
    max-width: 800px;
}
.max-w-950-px {
    max-width: 950px;
}
.max-w-980-px {
    max-width: 980px;
}
.max-w-500-px {
    max-width: 500px;
}
.max-w-400-px {
    max-width: 400px;
}
.max-w-100 {
    max-width: 100%;
}
.min-w-300-px {
    min-width: 300px;
}
b,
strong {
    font-weight: 900;
}
a {
    color: var(--main-color);
    font-weight: 400;
    text-decoration: none;
    outline: none;
}
a:hover,
a:focus,
a:active {
    color: var(--main-color-hover);
}
.error,
.error-message-text {
    color: tomato;
}
article.legal-text {
    text-align: justify;
    text-justify: inter-word;
    text-wrap: pretty;
    word-wrap: break-word;
}
article.legal-text h5 {
    margin-top: 30px;
    margin-bottom: 15px;
}
article.legal-text a {
    font-weight: 400;
}
article.legal-text p {
    margin-bottom: 10px;
}
article.legal-text li {
    margin-bottom: 10px;
}
article.legal-text td,
article.legal-text th {
    background-color: transparent;
    border: 1px solid black;
    text-align: center;
    vertical-align: middle;
}

.page-section {
    width: 100%;
    max-width: 1024px;
}

.btn,
.paginate_button .page-link {
    border: none;
    padding: 3px 20px;
    background-color: white !important;
    color: black !important;
    transition: all .3s ease-in-out;
    border-radius: 5px;
    -webkit-box-shadow: inset 3px -3px 4px -1px rgba(0,0,0,0.75) !important;
    box-shadow: inset 3px -3px 4px -1px rgba(0,0,0,0.75) !important;
    font-size: 1rem;
    font-weight: 500;
    box-sizing: border-box !important;
    -moz-box-sizing: border-box !important;
    -webkit-box-sizing: border-box !important;
}
.btn:hover,
.btn:focus,
.btn:focus-visible,
.btn:active,
.navbar-toggler:hover,
.navbar-toggler:focus,
.navbar-toggler:focus-visible,
.navbar-toggler:active,
.page-link:hover,
.page-link:focus,
.page-link:focus-visible,
.page-link:active {
    background-color: white !important;
    color: black !important;
    transform: scale(1.05);
}
.btn-page {
    border: 1px solid #b3b3b3;
    color: #616161;
    background-color: white;
    border-radius: 4px;
    padding: 5px;
    min-width: 40px;
    text-align: center;
    display: inline-block;
    font-weight: 500;
}
.btn-page:hover,
.btn-page:focus,
.btn-page:focus-visible,
.btn-page:active,
.btn-page.selected {
    color: white;
    background-color: var(--secondary-color);
    border-color: var(--secondary-color);
}
.btn-xxl {
    padding: .5rem 4rem;
    font-size: 1.1rem;
}
.accordion-button {
    background-color: #BEBEBE;
    color: #030202;
}
.accordion-button:focus {
    box-shadow: none !important;
}
.accordion-button:not(.collapsed) {
    background-color: #BEBEBE;
    color: #030202;
}
.accordion-collapse {
    background-color: #D9D9D9;
    text-align: left;
}
.accordion-body {
    color: #030202;
}

.btn-primary,
.btn-primary.disabled,
.btn-primary:disabled,
fieldset:disabled .btn-primary,
.paginate_button:not(.disabled) .page-link {
    background-color: var(--main-color) !important;
    color: black !important;
}
.btn-primary:hover,
.btn-primary:focus,
.btn-primary:focus-visible,
.btn-primary:active,
.paginate_button:not(.disabled) .page-link:hover,
.paginate_button:not(.disabled) .page-link:focus,
.paginate_button:not(.disabled) .page-link:focus-visible,
.paginate_button:not(.disabled) .page-link:active {
    background-color: var(--main-color) !important;
    color: black !important;
}
.btn-secondary,
.btn-secondary.disabled,
.btn-secondary:disabled,
fieldset:disabled .btn-secondary {
    background-color: white !important;
    color: black !important;
}

.btn-secondary:hover,
.btn-secondary:focus,
.btn-secondary:focus-visible,
.btn-secondary:active {
    background-color: white !important;
    color: black !important;
}

.btn-main-color-text,
.btn-main-color-text.disabled,
.btn-main-color-text:disabled,
fieldset:disabled .btn-main-color-text {
    background-color: var(--main-color-text) !important;
    color: black !important;
}
.box,
.bg-glass {
    background: rgba(255,255,255,0.06);
    border: 1px solid rgba(255,255,255,0.08);
    backdrop-filter: blur(12px);
    border-radius: 24px;
    padding: 30px;
    box-shadow: 0 10px 40px rgba(0,0,0,0.3);
}
.box .box-header *:is(h1,h2,h3,h4,h5,h6) {
    text-align: center;
}
.box-footer button {
    background-color: var(--header-nav-item-text-color);
    color: var(--main-color);
}
.box-footer button:hover,
.box-footer button:focus,
.box-footer button:focus-visible,
.box-footer button:active {
    background-color: var(--header-nav-item-text-color);
    color: var(--main-color);
}

table.dataTable tr th,
table.dataTable tr td {
    padding-bottom: 1rem !important;
}
.styled-table th,
.styled-table td {
    background-color: #D9D9D9 !important;
}
.table th,
.table td {
    vertical-align: middle;
}

.table {
    background-color: transparent;
    border-bottom: 1px solid black;
}
.table th,
.table td {
    background-color: transparent;
    color: black;
}
.table a {
    color: black;
}

.table tr:first-child td {
    border-top: 1px solid black;
}
.table tr:last-child td {
    border-top: unset;
}
.table tr:only-child td {
    border-top: 1px solid black;
    border-bottom: 1px solid black;
}
.table .btn {
    color: black !important;
    display: inline-block !important;
    background-color: white !important;
    text-align: center !important;
    font-size: 1rem !important;
    font-weight: 300 !important;
    width: 130px !important;
    padding: 5px !important;
    box-shadow: none !important;
    border-radius: 0 !important;
    text-transform: uppercase !important;
}
.table .btn:hover,
.table .btn:active,
.table .btn:focus {
    color: var(--secondary-color) !important;
}
.web-wrapper {
    min-height: 100%;
    display: grid;
    grid-template-columns: 100%;
    grid-template-rows: auto 1fr auto;
    grid-template-areas:
        "main-header"
        "main-content"
        "main-footer";
}
.legal-notice ul {
    margin-top: 10px;
}
.legal-notice li {
    padding-bottom: 10px;
}
.legal-notice img {
    max-width: 100%;
}
.login-welcome-logo .login-logo-text {
    max-height: 100px;
}
.login-content.no-login-form .login-welcome-logo {
    max-width: 350px;
    margin: 0 auto;
}
@media (width <= 585px) {
    .login-welcome-logo {
        display: flex;
        gap: 15px !important;
        flex-direction: column;
        justify-content: center !important;
        align-items: center !important;
    }
    .login-welcome-logo .login-logo-logo {
        max-height: 120px;
    }
    .login-welcome-logo .login-logo-text {
        max-height: 60px;
    }
}
.main-logo img {
    max-width: calc(100% - 40px);
}
.main-header {
    grid-area: main-header;
    text-transform: uppercase;
    width: 100%;
    margin: 0 auto;
    min-height: 100px;
    padding: 15px 40px;
    display: grid;
    gap: 20px;
    grid-template-areas: "main-header-logo main-header-nav main-header-profile";
    grid-template-columns: auto 1fr auto;
}
.main-header-profile {
    grid-area: main-header-profile;
    display: flex;
    gap: 10px;
    align-items: center;
}
.main-header-profile .profile-image,
.profile-image {
    background: transparent url('/themes/snackin_stars/img/icons/star-yellow.png') no-repeat center center !important;
    background-size: contain !important;
    max-height: 75px !important;
    aspect-ratio: 1 !important;
    display: flex !important;
    justify-content: center !important;
    align-items: center !important;
    color: white !important;
    margin: 0 auto !important;
    -webkit-transition: opacity .3s ease-in-out !important;
    transition: opacity .3s ease-in-out !important;
}
.main-header-profile .profile-image > img,
.profile-image > img {
    width: 80% !important;
    max-height: 100% !important;
    transition: width .3s ease-in-out, height .3s ease-in-out !important;
    -webkit-transition: width .3s ease-in-out, height .3s ease-in-out !important;
}
.main-header-profile .profile-image > img.unknown,
.profile-image > img.unknown {
    -webkit-filter: drop-shadow(1px 1px 0 var(--main-color)) drop-shadow(-1px -1px 0 var(--main-color));
    filter: drop-shadow(1px 1px 0 var(--main-color)) drop-shadow(-1px -1px 0 var(--main-color));
}
.main-header-profile .profile-image:hover,
.main-header-profile .profile-image:active {
    opacity: .8 !important;
}
.main-header-profile .profile-image:hover > img,
.main-header-profile .profile-image:active > img {
    width: 90% !important;
}
.profile-text {
    text-align: left;
    font-size: .7rem;
    line-height: 1rem;
    color: var(--header-nav-item-text-color);
    padding-top: 18px;
}
.profile-text > span {
    text-transform: capitalize;
}
.main-header-logo {
    grid-area: main-header-logo;
    margin-bottom: 0;
}
.main-header-logo a {
    transition: all .3s ease-in-out;
    display: flex;
    gap: 10px;
    align-items: flex-end;
    width: fit-content;
    margin: 0 auto;
}
.main-header-logo a:hover,
.main-header-logo a:active,
.main-header-logo a:focus-visible,
.main-header-logo a:focus {
    opacity: 0.6;
    transform: scale(1.03);
}
.main-header-nav-wrapper {
    grid-area: main-header-nav;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}
.main-header-nav {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    padding-top: 5px;
    margin-bottom: 7px;
    height: fit-content;
    width: 100%;
    border-top: 3px solid var(--header-nav-item-text-color);
}
.main-header-nav-item {
    position: relative;
    cursor: pointer;
    background-color: transparent;
    color: var(--header-nav-item-text-color);
    border-radius: 8px;
    min-width: 8rem;
    width: fit-content;
    min-height: 2rem;
    height: fit-content;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: 700;
    transition: background-color 0.1s ease-in-out, color 0.1s ease-in-out;
}
.main-header-nav-item.active,
.main-header-nav-item:hover,
.main-header-nav-item:active,
.main-header-nav-item:focus-visible,
.main-header-nav-item:focus {
    color: var(--header-nav-item-text-color-hover);
    /*text-shadow:
            0 0 5px #FFF,
            0 0 15px #FFF,
            0 0 75px var(--header-nav-item-text-color);*/
}
.main-header-nav .dropdown-menu[data-bs-popper] {
    top: 66%;
    left: unset;
    margin-top: 0;
    right: 0;
}
.b2c-dropdown {
    position: relative;
    display: inline-block;
}
.b2c-dropdown-content {
    display: none;
    position: absolute;
    background: #060c12 url('/themes/snackin_stars/img/menu-background.jpg') no-repeat top left;
    background-size: cover;
    width: 115%;
    right: -7.5%;
    box-shadow: 0 8px 16px 0 rgba(0,0,0,0.2);
    z-index: 10;
}
.b2c-dropdown-content a {
    color: var(--header-nav-item-text-color);
    /*background-color: var(--header-nav-item-bg-color);*/
    padding: 9px 5px;
    text-decoration: none;
    text-align: center;
    font-size: .8rem;
    font-weight: 400;
    display: block;
    transition: background-color 0.1s ease-in-out, color 0.1s ease-in-out;
}
.b2c-dropdown-content a:first-child {
    /*border-top-left-radius: 37px;*/
    /*border-top-right-radius: 37px;*/
}
.b2c-dropdown-content a:last-child {
    /*border-bottom-left-radius: 37px;*/
    /*border-bottom-right-radius: 37px;*/
}
.b2c-dropdown-content a:hover {
    /*background-color: var(--header-nav-item-bg-color-hover);*/
    color: var(--header-nav-item-text-color-hover);
    /*text-shadow:
            0 0 5px #FFF,
            0 0 15px #FFF,
            0 0 75px var(--header-nav-item-text-color);*/
}
.b2c-dropdown:hover .b2c-dropdown-content {
    display: block;
}
.b2c-menu-toggle {
    display: block;
    position: absolute;
    top: 20px;
    left: 0;
    z-index: 10;
    -webkit-user-select: none;
    user-select: none;
}
.b2c-menu-toggle a {
    text-decoration: none;
    color: #232323;

    transition: color 0.3s ease;
}
.b2c-menu-toggle a:hover {
    color: tomato;
}
.b2c-menu-toggle input {
    display: block;
    width: 40px;
    height: 32px;
    position: absolute;
    top: -7px;
    left: -5px;
    cursor: pointer;
    opacity: 0; /* hide this */
    z-index: 20; /* and place it over the hamburger */
    -webkit-touch-callout: none;
}
.b2c-menu-toggle > span {
    display: block;
    width: 33px;
    height: 4px;
    margin-bottom: 5px;
    position: relative;
    background: var(--header-nav-item-text-color);
    border-radius: 3px;
    z-index: 10;
    transform-origin: 4px 0;
    transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0), background 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0), opacity 0.55s ease;
}
.b2c-menu-toggle > span:first-child {
    transform-origin: 0 0;
}
.b2c-menu-toggle > span:nth-last-child(2) {
    transform-origin: 0 100%;
}
.b2c-menu-toggle input:checked ~ span {
    opacity: 1;
    transform: rotate(45deg) translate(-2px, -1px);
}
.b2c-menu-toggle input:checked ~ span:nth-last-child(3) {
    opacity: 0;
    transform: rotate(0deg) scale(0.2, 0.2);
}
.b2c-menu-toggle input:checked ~ span:nth-last-child(2) {
    transform: rotate(-45deg) translate(0, -1px);
}

.b2c-toggle-menu {
    position: absolute;
    max-width: 320px;
    max-height: 100vh;
    left: 0;
    top: 0;
    width: 100vw;
    margin: -70px 15px 0 -50px;
    padding: 90px 25px 50px 50px;
    box-sizing: border-box;
    overflow-y: auto;
    background: #060c12 url('/themes/snackin_stars/img/menu-background.jpg') no-repeat top left;
    background-size: cover;
    list-style-type: none;
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
    -webkit-font-smoothing: antialiased;
    transform-origin: 0 0;
    transform: translate(-200%, 0);
    transition: transform 0.5s cubic-bezier(0.77, 0.2, 0.05, 1.0);
}
.b2c-toggle-menu li {
    padding: 5px 0;
    font-size: 22px;
}
.b2c-toggle-menu li a {
    display: block;
    padding: 5px 0;
}
.b2c-toggle-menu li label {
    cursor: pointer;
}
.b2c-menu-toggle input:checked ~ ul {
    transform: none;
}

.b2c-toggle-menu {
    font-size: .9em;
}

.b2c-toggle-menu .submenu {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s ease;
    padding-left: 15px;
    margin: 0;
}

.b2c-toggle-menu .has-submenu input:checked ~ .submenu {
    max-height: 500px;
}

.b2c-toggle-menu li {
    font-size: 1em;
}

.b2c-toggle-menu .has-submenu label {
    display: flex;
    justify-content: space-between;
    align-items: center;
    cursor: pointer;
    font-weight: 600;
    padding: 3px 0 3px 0;
    user-select: none;
    font-size: 1rem;
    color: var(--header-nav-item-text-color);
    transition: color 0.3s ease, text-decoration 0.3s ease;
}

.b2c-toggle-menu .has-submenu input:checked ~ label {
    padding: 3px 0 12px 0;
}


.b2c-toggle-menu .has-submenu label:hover {
    color: var(--header-nav-item-text-color-hover);
    /*text-shadow:
            0 0 5px #FFF,
            0 0 15px #FFF,
            0 0 75px var(--header-nav-item-text-color);*/
}

.b2c-toggle-menu li a {
    text-decoration: none;
    color: var(--header-nav-item-text-color);
    padding: 3px 0;
    display: block;
    transition: color 0.3s ease, text-decoration 0.3s ease;
    font-size: 1.2em;
    font-weight: 600;
}

.b2c-toggle-menu .submenu li a {
    padding: 0;
    font-size: 1em;
    color: var(--header-nav-item-text-color);
}
.b2c-toggle-menu li a:hover {
    color: var(--header-nav-item-text-color-hover);
    /*text-shadow:
            0 0 5px #FFF,
            0 0 15px #FFF,
            0 0 75px var(--header-nav-item-text-color);*/
}

.b2c-toggle-menu .submenu li a:hover {
    color: var(--header-nav-item-text-color-hover);
    /*text-shadow:
            0 0 5px #FFF,
            0 0 15px #FFF,
            0 0 75px var(--header-nav-item-text-color);*/
}

.main-header-nav-wrapper .navbar-toggler {
    background-color: black;
}
.main-header-nav-wrapper .navbar-toggler:hover,
.main-header-nav-wrapper .navbar-toggler:focus,
.main-header-nav-wrapper .navbar-toggler:focus-visible,
.main-header-nav-wrapper .navbar-toggler:active {
    background-color: var(--main-color) !important;
}
.main-header-nav-wrapper .navbar-toggler-icon {
    filter: brightness(2000%);
}
.main-header-nav-wrapper .navbar-toggler-icon:hover,
.main-header-nav-wrapper .navbar-toggler-icon:focus,
.main-header-nav-wrapper .navbar-toggler-icon:focus-visible,
.main-header-nav-wrapper .navbar-toggler-icon:active {
    color: var(--default-color-text) !important;
}
.main-content {
    grid-area: main-content;
    min-height: 100px;
    padding: 0;
    margin: 0;
    background-color: #fff;
}
.main-content.special-bg {
    background-color: var(--main-color);
}
.login-bg .main-content {
    background-color: transparent;
}
.main-footer {
    grid-area: main-footer;
    background-color: transparent;
    color: white;
    padding: 20px 100px 10px 100px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 20px;
    position: relative;
}
.phone-icon {
    filter: invert(1);
}
.login-bg .main-footer {
    background-color: var(--main-color);
    color: var(--footer-text-color);
}
.login-bg .phone-icon {
    filter: invert(0);
}
.main-footer .footer-bubble {
    position: absolute;
    top: -80px;
    right: 100px;
    text-align: center;
}
.main-footer a {
    color: var(--footer-text-color);
}
.main-footer a:hover,
.main-footer a:focus,
.main-footer a:active {
    color: var(--footer-text-hover);
}
.login-bg .main-footer a:hover,
.login-bg .main-footer a:focus,
.login-bg .main-footer a:active {
    color: white;
}
.main-footer-content {
    display: flex;
    gap: 10px;
    justify-content: flex-start;
    align-items: center;
}
.main-footer-content-text {

}
.main-footer-legal {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: flex-start;
    align-items: center;
    padding: 10px 10px 20px 50px;
    font-weight: 300;
    font-size: .7rem;
    line-height: .9rem;
}
@media (width < 1024px) {
    .main-footer {
        justify-content: center;
        padding: 20px;
    }
    .main-footer .footer-bubble {
        position: relative;
        top: 0;
        right: 0;
    }
    .main-footer-content {
        justify-content: center;
    }
    .main-footer-legal {
        justify-content: center;
        padding: 0;
    }
}
@media (width < 700px) {
    .main-footer .footer-bubble img {
        width: 125px;
    }
}
.login-bg .main-content {
    display: flex;
    justify-content: center;
    align-items: center;
}
.login-content {
    width: 100%;
    max-width: 600px;
    margin-top: -12px;
}
.login-content .logo {
    width: 100%;
}
.login-content #saml-activedirectoryeg_btn {
    display: none !important;
}
.login-content .gigya-layout-row.with-divider {
    padding-bottom: 0 !important;
}
.login-content h1 {
    color: white;
    font-weight: 900;
    font-size: 3rem;
    line-height: 3rem;
}
.login-form {
    padding: 0;
    max-width: 350px;
    margin: 0 auto;
}
.login-form .box-shadow {
    -webkit-box-shadow: 0 0 9px -2px #000000;
    box-shadow: 0 0 9px -2px #000000;
}
.login-form .text-shadow,
.text-shadow {
    text-shadow: 0 0 4px #000000;
}
.login-form label:not(.error) {
    color: white;
}
.login-form label,
.login-form .error-message-text {
    text-shadow: 0 0 4px #000000;
    text-align: center;
    display: block;
}
.login-form .captcha_image,
.login-form .captcha_reload {
    text-align: center;
}
.login-form .captcha_reload {
    margin-bottom: 10px;
}
.login-form label.error {
    margin-top: 15px;
}
.login-form .btn-login-submit {
    font-weight: bold;
    width: 65% !important;
    font-size: 1.3rem !important;
}
.login-form .password-forgot {
    color: white;
}
.login-form .form-check-input {
    padding: 7px;
    border: none !important;
}
.login-form .form-check-label {
    color: white;
}
.login-form input[type=text] {
    text-align: center;
}
.login-form .form-control,
.login-form .form-control:focus,
.login-form .input-group-text,
.login-form .form-check-input,
.login-form .form-check-input:focus,
.login-form .form-select,
.login-form .form-select:focus,
.login-form .form-range,
.login-form .form-range:focus {
    margin-top: 0;
    background-color: white;
    border: 1px solid var(--main-color);
    color: #3a3a44;
    text-align: center;
}
.login-form .form-control,
.login-form .form-control:focus,
.login-form .input-group-text,
.login-form .form-select,
.login-form .form-select:focus {
    border-radius: 8px;
}
.login-form .form-floating > .form-control ~ label {
    left: 50%;
    transform: translateX(-50%);
}
.form-floating > label {
    transition: opacity .1s ease-in-out, transform .1s ease-in-out, font-size .1s ease-in-out, color .1s ease-in-out;
}
.login-form .form-floating > .form-control ~ label,
.login-form .form-floating > .form-control:focus ~ label,
.login-form .form-floating > .form-control:focus ~ label::after,
.login-form .form-floating > .form-control:not(:placeholder-shown) ~ label,
.login-form .form-floating > .form-control:not(:placeholder-shown) ~ label::after {
    background-color: transparent;
    color: #3a3a44;
    text-shadow: none;
}
.login-form .form-floating > .form-control:focus ~ label,
.login-form .form-floating > .form-control:focus ~ label::after,
.login-form .form-floating > .form-control:not(:placeholder-shown) ~ label,
.login-form .form-floating > .form-control:not(:placeholder-shown) ~ label::after {
    top: -0.8rem;
    font-size: 0.8rem;
    color: #7e7e7e;
}
.login-form .form-floating > .form-control-plaintext ~ label::after,
.login-form .form-floating > .form-control:focus ~ label::after,
.login-form .form-floating > .form-control:not(:placeholder-shown) ~ label::after,
.login-form .form-floating > .form-select ~ label::after {

}
.login-form .form-floating > .form-control,
.login-form .form-floating > .form-control-plaintext,
.login-form .form-floating > .form-select {
    height: calc(2.8rem + calc(var(--bs-border-width) * 2));
    min-height: calc(2.8rem + calc(var(--bs-border-width) * 2));
}
.form-check-input:checked,
.form-check-input:focus:checked {
    background-color: var(--main-color);
    border-color: var(--main-color);
    accent-color: var(--default-color-text);
    color: var(--default-color-text);
}
.input-group-text.error {
    filter: invert(0) sepia(43%) saturate(2483%) hue-rotate(329deg) brightness(85%) contrast(122%);
}
.input-group-text {
    border-right: none !important;
}
.control-group > label {
    margin-bottom: 5px;
}
.form-check-input,
.form-select,
.form-range,
.form-control {
    border: 1px solid #3a3939;
    border-radius: 3px;
    padding: 7px;
}
.form-check-input:focus,
.form-select:focus,
.form-range:focus,
.form-control:focus {
    box-shadow: none !important;
    background-color: #F6F6F6;
}
.form-floating > .form-control ~ label {
    top: -.3rem;
    color: var(--form-text-color);
}
.form-floating > .form-control:focus ~ label,
.form-floating > .form-control:focus ~ label::after,
.form-floating > .form-control:not(:placeholder-shown) ~ label,
.form-floating > .form-control:not(:placeholder-shown) ~ label::after {
    top: -.15rem;
    background-color: transparent;
    color: var(--form-text-color);
}
.form-control:disabled {
    background-color: #cbcbcb;
}
.form-control.error,
.form-control.error:focus,
.input-group-text.error {
    border-color: var(--bs-form-invalid-border-color);
}
.form-floating > .form-control.error ~ label,
.form-floating > .form-control.error ~ label::after {
    color: var(--bs-form-invalid-border-color);
}
.login-form-feedback {
    color: var(--bs-form-invalid-border-color);
    font-weight: bold;
}

.client-profile-selector {
    max-width: 100%;
    width: 800px;
    padding: 20px;
}
.client-profile-selector h1 {
    font-size: 3rem;
    font-weight: 900;
}
.client-profile-selector-items {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 45px;
}
.client-profile-selector-items > * {
    width: 100%;
}
.client-profile-selector-items .btn-primary {
    width: 100%;
    max-width: 500px;
    padding: 20px 15px;
    border-radius: 8px;
    background-color: var(--default-color-text) !important;
    color: var(--main-color) !important;
}
.client-profile-selector-items .btn-primary:hover,
.client-profile-selector-items .btn-primary:focus,
.client-profile-selector-items .btn-primary:focus-visible,
.client-profile-selector-items .btn-primary:active {
    background-color: var(--default-color-hover-text) !important;
    color: var(--main-color-hover) !important;
}
.btn-profile-selector-secondary {
    padding: 15px 60px;
    border-radius: 8px;
    width: fit-content;
    max-width: 100%;
    display: flex;
    align-items: center;
}
.welcome-section-separator {
    width: 100%;
    max-width: 300px;
    margin: 0 auto;
    border-top: 3px solid var(--main-color-text);
}
.welcome-banner-item > a {
    display: inline-block;
}
.welcome-banner-item img {
    width: 100%;
}
.welcome-section-content {
    width: 100%;
    margin: 0 auto;
}
.welcome-section-content h1 {
    font-weight: bold;
}
.welcome-section-bottom {
    display: flex;
    flex-wrap: wrap;
    gap: 60px;
}

.section-bar {
    width: 100%;
    margin: 10px 0 !important;
}
.section-bar .section-bar-title {
    text-transform: uppercase;
    font-weight: 900;
    font-size: 1.3rem;
    width: 100%;
    padding: 15px;
    margin-bottom: 10px;
    background-color: var(--secondary-color);
    color: var(--default-color-text);
    text-align: center;
    position: relative;
}
.section-bar .section-bar-title .section-bar-explanation {
    position: absolute;
    right: 0;
    top: 0;
    height: 100%;
    aspect-ratio: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--default-color-text);
    transition: visibility 0s, opacity 0.5s linear;
}
.section-bar .section-bar-menu {
    background-color: var(--secondary-color);
    min-height: 42px;
    text-transform: uppercase;
    -webkit-transition: width .3s, position .3s;
    transition: width .3s, position .3s;
}
.section-bar .section-bar-menu ul {
    list-style: none;
    line-height: 22px;
    min-height: 42px;
    font-size: 14px;
    text-align: center;
    margin: 0;
    padding: 0 20px;
}
.section-bar .section-bar-menu > ul {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}
.section-bar .section-bar-menu > ul > li {
    height: 100%;
    padding: 0;
    position: relative;
}
.section-bar .section-bar-menu > ul > li a,
.section-bar .section-bar-menu > ul > li span {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
    text-decoration: none;
    padding: 10px 40px;
    position: relative;
    z-index: 1;
    background-color: var(--secondary-color);
    color: var(--default-color-text);
    font-size: 1.1rem;
    font-weight: 400;
    text-transform: uppercase;
    cursor: pointer;
    -webkit-transition: background .3s, color .3s;
    transition: background .3s, color .3s;
}
.section-bar .section-bar-menu > ul > li a:hover,
.section-bar .section-bar-menu > ul > li.selected a {
    background-color: var(--main-color);
    color: var(--form-text-color);
}
.fancybox-container #legal-warning {
    width: 90%;
    overflow-x: hidden;
    border-radius: 5px;
}
.fancybox-container #legal-warning h2 {
    font-size: 1.3rem;
    margin-top: -20px;
    margin-bottom: 20px;
    padding-bottom: 3px;
    color: var(--secondary-color);
    border-bottom: 1px solid var(--secondary-color);
}
.fancybox-container #legal-warning h4 {
    font-size: 1.3rem;
    line-height: 1.5rem;
    font-weight: 900;
}
.fancybox-container #legal-warning h5 {
    font-size: 1rem;
    line-height: 1.3rem;
    font-weight: 900;
}
.fancybox-container #legal-warning p {
    font-size: .9rem;
    line-height: 1.1rem;
}
.fancybox-container #legal-warning iframe {
    width: 100%;
    height: calc(100% - 5px);
    border-radius: 5px;
}
.fancybox-container .formacion-container h3 {
    font-size: 15px;
    line-height: 20px;
    font-weight: bold;
}
.fancybox-container .formacion-container p {
    padding: 0 !important;
    margin: 20px 0 !important;
}
@media (width <= 991px) {
    .w-85,
    .w-70,
    .w-51,
    .w-40 {
        width: 100% !important;
    }
    .main-header {
        width: 100%;
        max-width: 100%;
        padding: 10px 20px;
        grid-template-areas: "main-header-nav main-header-logo main-header-profile";
        grid-template-columns: 40px 1fr auto;
    }
    .main-header-nav {
        justify-content: flex-start;
    }
    .main-header-profile {
        display: none;
    }
    .main-header-user-info {
        padding: 20px;
    }
    .welcome-section-content {
        max-width: 400px;
    }
    .welcome-section-bottom {
        flex-direction: column;
        gap: 20px;
        justify-content: center;
        align-items: center;
    }
    .mechanics-top-button {
        margin-top: 2rem !important;
    }
}
@media (width <= 550px) {
    .main-header-user-info {
        align-items: center;
    }
    .main-logo img {
        width: 150px;
    }
}
@media (width <= 460px) {
    .main-header {
        grid-template-areas: "main-header-nav main-header-logo";
        grid-template-columns: 40px auto;
    }
    .main-header-upload a {
        padding: 10px 10px;
        flex-direction: row;
        gap: 15px;
        margin-top: 20px;
    }
}
@media (width <= 400px) {
    .main-footer-links li,
    .main-footer-contact p {
        text-align: center;
    }
    .main-footer-contact,
    .main-footer-links {
        padding: 0;
    }
}
